Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
amateurday

Thay đổi bán kính nhiều circle

Các bài được khuyến nghị

Nguyen Hoanh    4.524
mọi người chỉ cho em lệnh nào trong cad mà thay đổi bán kính của nhiều circle mà không thay đổi vị trí của nó, tức là tâm không đổi

Bạn muốn thay như thế nào? Thay tất cả bằng một bán kính giống nhau?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
mọi người chỉ cho em lệnh nào trong cad mà thay đổi bán kính của nhiều circle mà không thay đổi vị trí của nó, tức là tâm không đổi

Cách 1 : Dùng Quickselect hoặc filter -> Chọn Circle -> Bấm Ctrol + 1 -> Trong nhãn Geometry -> Chỉnh Radius

 

Cách 2 : Dùng Lisp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
amateurday    4
Bạn muốn thay như thế nào? Thay tất cả bằng một bán kính giống nhau?

em muốn thay những circle nào mà mình chọn chứ không phải tất cả, và bán kính thì giống nhau, có hôm em đi in thì thấy thợ in làm thay đổi nhanh lắm, hình như có lệnh gì đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
amateurday    4
Cách 1 : Dùng Quickselect hoặc filter -> Chọn Circle -> Bấm Ctrol + 1 -> Trong nhãn Geometry -> Chỉnh Radius

 

Cách 2 : Dùng Lisp

 

nếu có lisp thì cũng hay bác TUE_NV à

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
em muốn thay những circle nào mà mình chọn chứ không phải tất cả, và bán kính thì giống nhau, có hôm em đi in thì thấy thợ in làm thay đổi nhanh lắm, hình như có lệnh gì đó.

Sử dụng Quick Select hoặc filter và kết hợp Ctrol + 1 -> Trong nhãn Geometry -> Chỉnh Radius

 

Hai lệnh Quick Select và filter bạn có thể tìm trên diễn đàn. Cái này đã có nói rồi, nhiều lắm

 

Còn bạn muốn sử dụng Lisp thì đây :

 

(defun c:DOIR(/ ci R n i ent)
(prompt "\n Moi ban chon CIRCLE")
(setq ci (ssget '((0 . "CIRCLE"))))
(setq R (getdist "\n Ban kinh ban muon doi thanh R= ")
n (sslength ci) i 0)
(while ((setq ent (entget(ssname ci i)))

(setq ent (subst (cons 40 R) (assoc 40 ent) ent))

(entmod ent)

(setq i (1+ i))
)
(princ)
)

:s_big:

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×